package com.ozs.service.entity.vo;

import com.ozs.common.annotation.Excel;
import com.ozs.common.vo.PageVo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author Administrator
 * 设备状态
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class DeviceStateResp extends PageVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer installMile;
    @Excel(name = "监控相机安装里程位置(单位KM)")
    private String installMileName;
    @Excel(name = "测点名称")
    private String measurePointName;
    @Excel(name = "线路名称")
    private String railwayName;
    @Excel(name = "所属工务段名称")
    private String deptName;
    @Excel(name = "行别")
    private String lineDir;
    @Excel(name = "相机状态")
    private String isDisable;
    @Excel(name = "电量")
    private Integer electricity;
    @Excel(name = "相机编码")
    private String cameraCode;
    @Excel(name = "序列号")
    private String cameraSn;
    private String railwayCode;
    private String deptId;
}
